<? include("../header_subnivel1.php");?>

<?
$link=con_ver();
$consecutivo = busquedaB($link,"select max(id)+1 as maximo from consecutivos_referencia","maximo");
//$consecutivox=$consecutivo[0];

echo mysqli_error($link);
 
?>
<script>
function buscar_referencia(){
		$.post( "buscar_referencia.php?referencia_cliente="+$('#txtreferencia_cliente').val()+"&consecutivo="+$('#txtconsecutivo').val(),
				function FuncionRecepcion(respuesta) {
					var laRespuesta = eval('(' + respuesta + ')');
					if ( laRespuesta != null ) {
						var laActions = laRespuesta["actions"];
						var liIdx;
						for ( liIdx=0 ; liIdx<laActions.length ; liIdx++ )
							eval( laActions[liIdx] );
					}
				});
 
}

  function checainco()

{

vas1=this.document.form2.txtreferencia.value;
vas2=this.document.form2.txtreferencia_cliente.value;
 vas3=this.document.form2.tipo_de_carga.value;


if ( vas1=='' || vas2==''  || vas3=='')

{

alert ("Complete todos los datos por favor");

return;

}

 this.document.form2.submit();

}

</script>

<script language="Javascript">

function preguntar(inst1,dato){

eliminar=confirm("Borra el registro? " + dato);

if (eliminar)

window.location.href = inst1; 

//else

//alert('No se ha podido eliminar el registro...')

}

</script>


<div align="justify" style="line-height:18px;margin-top:-44px; position:absolute;width: 1160px; height:100%;background:url(../../../images/mundo.jpg) ">
<br />
<span style="color:#00AF4B">Referencias de Exportaci&oacute;n de Puerto &raquo;</span>
<br /><br />
  <form name="form2" id="form2" method="post" action="referenciaguarda.php" >

    <table width="460" border="0" cellpadding="1">
      <tr> 

        <td >Referencia del cliente</td>

        <td><input name="txtreferencia_cliente" type="text" id="txtreferencia_cliente" size="30" onblur="buscar_referencia()" /></td>

      </tr>

      <tr>
        <td >&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr> 

        <td width="244" >Referencia de Puerto (*)</td>

        <td width="206"><input name="txtreferencia" type="text" size="30" id="txtreferencia" /></td>

      </tr>
       
       
      <!--<tr>
        <td >Consecutivo</td>
        <td><input name="txtconsecutivo" type="text" id="txtconsecutivo" size="30" value="<?=$consecutivo?>" /></td>
      </tr>-->
      <tr>
        <td >&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td >Tipo de carga</td>
        <td> 
          <select name="tipo_de_carga" id="tipo_de_carga">
        <option value=""></option>
        <option value="LCL">LCL</option>
        <option value="FCL">FCL</option>
        <option value="CLD">CLD</option>
        </select></td>
      </tr>
      <tr>
        <td >&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td >
        <input type="button" name="Submit2" value="Crear" onclick="checainco()">

        <input type="submit" name="Submit2" value="Buscar" onclick="document.getElementById('form2').action='referencias.php';
        document.getElementById('form2').submit()">
		 
        </td>
        <td>&nbsp;</td>
      </tr>

    </table>

  <br />
  
<!--  <iframe id="targe" name="targe"></iframe>-->

<?php
//$txtreferencia_cliente = ($_POST[txtreferencia_cliente]=='' ? $_GET[txtreferencia_cliente] : $_POST[txtreferencia_cliente]);
//$txtreferencia = ($_POST[txtreferencia]=='' ? $_GET[txtreferencia] : $_POST[txtreferencia]);

$txtreferencia_cliente = ($_POST[txtreferencia_cliente]);
$txtreferencia = ($_POST[txtreferencia]);

$link=con_ver();
$cond='';
$cond.= (($cond!='' and $_POST[txtreferencia_cliente]!='') ? ' and ' : '').($_POST[txtreferencia_cliente]!='' ? " referencia_cliente like '%".$_POST[txtreferencia_cliente]."%' " : '');
$cond.= (($cond!='' and $_POST[txtreferencia]!='') ? ' and ' : '').($_POST[txtreferencia]!='' ? " referencia like '%".$_POST[txtreferencia]."%' " : '');
 
if($cond==''){
   	$result = mysqli_query($link,"SELECT distinct referencia_cliente,referencia  FROM referencias_veracruz order by  left( `referencia` , 4 )*1  desc,referencia LIMIT 100");
	//echo "SELECT distinct referencia_cliente,referencia  FROM referencias_veracruz order by id desc,referencia LIMIT 100";
}else{
//VER0213-CTG	
 	$result = mysqli_query($link,"SELECT distinct referencia_cliente,referencia  FROM referencias_veracruz where ".$cond."  order by  left( `referencia` , 4 )*1  desc,referencia ");
	// echo "SELECT distinct referencia_cliente,referencia  FROM referencias_veracruz where ".$cond."   order by id desc,referencia ";
}

if(mysqli_num_rows($result)==0){
?>
<div align="left">Busqueda sin resultados</div>
<?	
}
if ($row = mysqli_fetch_array($result)){ 
?>
<table align="left" width="70%"  class="tablas_con_bordes_" style="font-family:Arial, Helvetica, sans-serif; font-size:11px" >
<?

	  echo "<tr> \n"; 



      echo "</tr> \n"; 





$i=0;



//encabezado

printf("<TR class='yellow'>");

printf("<TD style='text-align:center'><strong><font size=\"1\" face=\"Arial, Helvetica, sans-serif\">Referencia de Puerto</TD>");

printf("<TD style='text-align:center'><strong><font size=\"1\" face=\"Arial, Helvetica, sans-serif\">Referencia Cliente</TD>");

printf("<TD style='text-align:center'><strong><font size=\"1\" face=\"Arial, Helvetica, sans-serif\">Cliente</TD>");
printf("<TD style='text-align:center'><strong><font size=\"1\" face=\"Arial, Helvetica, sans-serif\">Cambiar</TD>");

printf("<TD style='text-align:center'><strong><font size=\"1\" face=\"Arial, Helvetica, sans-serif\">Borrar</TD>");

printf("<TD style='text-align:center'><strong><font size=\"1\" face=\"Arial, Helvetica, sans-serif\">Agregar Booking Consolidado</TD>");

printf("</TR>");







do {

	$i=$i+1; 


//impresion
$ide = busquedaB($link,"SELECT id  FROM referencias_veracruz where  referencia_cliente='".$row["referencia_cliente"]."' and referencia='".$row["referencia"]."' order by id desc,referencia and consecutivo>0","id");

$clie = busquedaB($link,"SELECT cliente  FROM datosbooking where  referencia_cliente='".$row["referencia_cliente"]."' and referencia_lpv='".$row["referencia"]."' ","cliente");
if($clie==''){
	$qY=mysqli_query($link,"select nombre_cliente,prefijo_cliente from clientes order by nombre_cliente");
	while($rqY=mysqli_fetch_array($qY)){
		if(strpos($row["referencia"],'-'.$rqY["prefijo_cliente"])!==false){
			$clie=$rqY["nombre_cliente"];
		}
	}
}
printf("<TR class='comun'>");

printf("<TD style='text-align:left'><font size=\"1\" face=\"Arial, Helvetica, sans-serif\">%s</TD>",$row["referencia"]);

printf("<TD style='text-align:left'><font size=\"1\" face=\"Arial, Helvetica, sans-serif\">%s</TD>",$row["referencia_cliente"]);

printf("<TD style='text-align:center'><font size=\"1\" face=\"Arial, Helvetica, sans-serif\">%s</TD>",$clie);

printf ("<TD style='text-align:center'><font size=\"1\" face=\"Arial, Helvetica, sans-serif\"><a href=\"referenciacambio.php?id=%s&&REFERENCIA=%s\">Cambiar</a></TD>",$ide,$row["referencia"]);

printf ("<TD style='text-align:center'><font size=\"1\" face=\"Arial, Helvetica, sans-serif\"><a href=\"javascript:preguntar('referenciaborra.php?id=%s&& txt=%s','')\">Borrar</a></TD>",$ide,$ide);

printf ("<TD style='text-align:center'><font size=\"1\" face=\"Arial, Helvetica, sans-serif\"><a href=\"referencia_agregar_booking.php?id=%s&& txt=%s&&txtreferencia=%s&&txtreferencia_cliente=%s\">Agregar Booking Consolidado</a></TD>",$ide,$ide,$row["referencia"],$row["referencia_cliente"]);

printf("<TR>");





echo "        </TD \n";

echo "      </TR>\n";



   } while ($row = mysqli_fetch_array($result)); 

   echo  "</table>" ;



}



?>


  </form>

